@echo off
..\subslim2ast\subslim2ast %1.slm
if errorlevel 1 goto errors
  ..\ast2c\ast2c %1 ..\slim.r\
  if errorlevel 1 goto errors
  if exist %1.cc copy %1.cc %1.c
  %CC% -g -c -w $1.c -I../slim.r
  goto finish
:errors
  echo Errors, compile failed
:finish
